=== src/CMakeLists.txt ===
project(libpriv_wrapper C)

add_library(priv_wrapper SHARED priv_wrapper.c)
target_include_directories(priv_wrapper
                           PRIVATE
                               ${CMAKE_BINARY_DIR})
target_compile_options(priv_wrapper
                       PRIVATE
                          -D_GNU_SOURCE)
target_link_libraries(priv_wrapper
                      PRIVATE defaults ${PWRAP_REQUIRED_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})

set_target_properties(priv_wrapper
                      PROPERTIES
                          VERSION ${LIBRARY_VERSION}
                          SOVERSION ${LIBRARY_SOVERSION})

install(TARGETS priv_wrapper
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR}
)

set(PRIV_WRAPPER_LOCATION "${CMAKE_CURRENT_BINARY_DIR}/${CMAKE_SHARED_LIBRARY_PREFIX}priv_wrapper${CMAKE_SHARED_LIBRARY_SUFFIX}" PARENT_SCOPE)
