=== debian/changelog ===
priv-wrapper (1.0.1-6) unstable; urgency=medium

  * Re-tag using quilt=gbp

 -- Simon Josefsson <simon@josefsson.org>  Tue, 17 Feb 2026 22:33:01 +0100

priv-wrapper (1.0.1-5) unstable; urgency=medium

  * Drop Priority: optional
  * Standards-Version: 4.7.3
  * Drop Rules-Requires-Root: no
  * Bump debian/* copyright years
  * Use watch v5
  * Run wrap-and-sort -satbk
  * Move manpage to source file in /usr/share/doc/priv-wrapper/

 -- Simon Josefsson <simon@josefsson.org>  Tue, 17 Feb 2026 18:30:02 +0100

priv-wrapper (1.0.1-4) unstable; urgency=medium

  [ Helge Deller ]
  * Fix prctrl test on Alpha/sparc64.  Closes: #1069486.
  * Disable time64 transition.  Closes: #1069486.

  [ Simon Josefsson ]
  * tests: Make building verbose, print CC commands.
  * Replace tests/wrap-and-sort with pipeline job.
  * Run wrap-and-sort -satbk.
  * Fix typo in manpage.
  * Standards-Version: 4.7.0.
  * Fix lintian update-debian-copyright.
  * Use execute_after_* instead of override_* in rules.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 06 Nov 2024 09:49:30 +0100

priv-wrapper (1.0.1-3) unstable; urgency=medium

  * Fix --twice builds.  Closes: #1046970.
  * tests: Add manpage-rebuild.
  * tests: Add wrap-and-sort.

 -- Simon Josefsson <simon@josefsson.org>  Wed, 16 Aug 2023 11:10:16 +0200

priv-wrapper (1.0.1-2) unstable; urgency=medium

  * Team maintain package.
  * wrap-and-sort -satb.
  * tests: Output errors on failure.
  * Rebuild manpage using asciidoctor.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 08 Aug 2023 23:29:10 +0200

priv-wrapper (1.0.1-1) unstable; urgency=low

  * Initial packaging.  Closes: #1042827.

 -- Simon Josefsson <simon@josefsson.org>  Tue, 01 Aug 2023 16:29:44 +0200
