=== debian/control ===
Source: priv-wrapper
Maintainer: Debian SSSD Team <pkg-sssd-devel@alioth-lists.debian.net>
Uploaders:
 Timo Aaltonen <tjaalton@debian.org>,
 Simon Josefsson <simon@josefsson.org>,
Build-Depends:
 debhelper-compat (= 13),
 cmake,
 libcmocka-dev,
Standards-Version: 4.7.3
Section: devel
Homepage: https://cwrap.org/priv_wrapper.html
Vcs-Browser: https://salsa.debian.org/sssd-team/priv-wrapper
Vcs-Git: https://salsa.debian.org/sssd-team/priv-wrapper.git

Package: libpriv-wrapper
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 ${shlibs:Depends},
Description: Privilege wrapper library
 priv_wrapper is a library to disable resource limits and other
 privilege dropping.
 .
 priv_wrapper allows one to disable chroot, prctl, pledge and setrlmit
 system calls.
 .
 priv_wrapper aims to help running processes which are dropping
 privileges or are restricting resources in test environments.
 .
 Like other cwrap projects, it works as a LD preload library, which
 overrides various system functions.
