=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all abi=-time64

%:
	dh $@ --builddirectory=build

unittest = $(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),,-DUNIT_TESTING=1)

execute_after_dh_auto_install: # lintian spare-manual-page
	rm -rfv debian/libpriv-wrapper/usr/share/man

override_dh_auto_configure:
	dh_auto_configure -- \
		-DCMAKE_VERBOSE_MAKEFILE=ON \
		$(unittest)
