=== debian/tests/control ===
Tests:
 tests,
Depends:
 cmake,
 gcc,
 libc-dev,
 libcmocka-dev,
 libpriv-wrapper,
 make,
Restrictions:
 allow-stderr,
